Please report all spam threads, posts and suspicious members. We receive spam notifications and will take immediate action!
Results 1 to 4 of 4

Thread: Error when updating Intel Management Engine software for Ivy Bridge CPU install




  1. #1
    NukaCola is offline Junior Member
    Join Date
    Apr 2015
    Location
    NJ, USA
    Posts
    2

    Unhappy Error when updating Intel Management Engine software for Ivy Bridge CPU install

    I recently received an i7-3770K that I want to install in my mobo to replace my i5-2500K. In order for my ASrock Extreme 3 Gen 3 Z68 motherboard to support the i7 Ivy Bridge, I had to update my BIOS to the latest 2.30 version. I did this just fine with Instant Flash, BIOS is all good to go -- but I'm having problems installing the required Intel Management Engine (ME) software that ASrock's website is telling me to install for Windows 7 64-bit.

    I'm using this guide:
    http://www.asrock.com/support/qa/TSDQA-92.pdf

    "Step4: Install the correct version of Intel Management Engine from ASRock website:
    Download Files form ASRock Inc. "

    ASrock driver downloads:
    ASRock > Z68 Extreme3 Gen3

    It's telling me to install Intel Management Engine driver ver:8.0.2.1410. I download this, run setup, and everything goes well until it hits the following line:

    "Creating Process: CWindows\Temp\IIF2\DAL\vcredist_x86.exe"

    When it hits this line, I get an error box that states:

    "The setup program failed to start one or more application processes.

    Setup will exit."

    My current Intel ME version in Device Manager is: 8.0.0.1262 (Dated 11/9/2011). I've tried selecting the 8.0.2.1410 driver (dated 4/30/2012) using Device Manager's "Update Driver" button, but determines that I have the "latest" up-to-date driver, which isn't the case.

    Googling hasn't brought up a resolution. I saw one forum goer having the same issue, except that he wasn't upgrading to an Ivy Bridge CPU so it wasn't really important for him to update his Intel ME. Every other driver I have is up-to-date and ready to go, except for this Intel ME driver. Should I just download a higher version/more recent IME driver from Intel's website and go with that?
    Last edited by NukaCola; 04-27-2015 at 09:48 AM.

  2. #2
    parsec's Avatar
    parsec is offline Senior Member
    Join Date
    Jun 2012
    Location
    Third stone from the sun
    Posts
    4,824

    Default Re: Error when updating Intel Management Engine software for Ivy Bridge CPU install

    When you run the IME installation program, do you have that program on the C: drive itself? Some driver installation programs need that.

    Also, have you tried right clicking on the IME installation program and selecting Run as administrator?

    You could try a more recent version from Intel, that won't hurt anything even if it won't install for some reason.

    This version is the one Intel provides for their own Z68 mother boards: https://downloadcenter.intel.com/dow...Desktop-Boards

    Did you notice the Windows 8/Beta version of the IME driver on your board's download page, which is a later version than the one above: ASRock > Z68 Extreme3 Gen3

    This version, ver:8.1.2.1318, is the same one provided for the ASRock Z77 Extreme4 board for Win 7, and is not considered a Beta driver:

    ASRock > Z77 Extreme4

  3. #3
    NukaCola is offline Junior Member
    Join Date
    Apr 2015
    Location
    NJ, USA
    Posts
    2

    Default Re: Error when updating Intel Management Engine software for Ivy Bridge CPU install

    Quote Originally Posted by parsec View Post
    When you run the IME installation program, do you have that program on the C: drive itself? Some driver installation programs need that.

    Also, have you tried right clicking on the IME installation program and selecting Run as administrator?

    You could try a more recent version from Intel, that won't hurt anything even if it won't install for some reason.

    This version is the one Intel provides for their own Z68 mother boards: https://downloadcenter.intel.com/dow...Desktop-Boards

    Did you notice the Windows 8/Beta version of the IME driver on your board's download page, which is a later version than the one above: ASRock > Z68 Extreme3 Gen3

    This version, ver:8.1.2.1318, is the same one provided for the ASRock Z77 Extreme4 board for Win 7, and is not considered a Beta driver:

    ASRock > Z77 Extreme4
    I was running the IME driver update via my desktop. Moving it to my C Drive root and running it still gave me the error.

    I tried the driver from Intel's website that you linked to and it worked! So now my version is July 2012, which should be fine for Ivy Bridge.

    Just as a note: The VGA drivers supplied by ASrock were shown to be outdated (ie it told me I was installing older version drivers). When I tried to install anyway it gave me an error. The Smart Connect driver installed without issue. I suppose I shouldn't worry about the VGA drivers then?

  4. #4
    parsec's Avatar
    parsec is offline Senior Member
    Join Date
    Jun 2012
    Location
    Third stone from the sun
    Posts
    4,824

    Default Re: Error when updating Intel Management Engine software for Ivy Bridge CPU install

    Great, glad the Intel IME driver worked!

    It looks like you're not using the on-CPU graphics, and the driver you have for the Intel graphics works, so if you needed to use it, it would work. The latest driver for your i5-2500K's graphics (HD 3000) from Intel can be found here:

    https://downloadcenter.intel.com/dow...7-8-8-1-64-bit

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •